# django-ical 1.9.2 documentation

## django_ical.views

Views for generating ical feeds.

class django_ical.views.ICalFeed

  iCalendar Feed

  Existing Django syndication feeds

  Title:

    X-WR-CALNAME

  Description:

    X-WR-CALDESC

  Item_guid:

    UID

  Item_title:

    SUMMARY

  Item_description:

    DESCRIPTION

  Item_link:

    URL

  Item_updateddate:

    LAST-MODIFIED

  Extension fields

  Method:

    METHOD

  Timezone:

    X-WR-TIMEZONE

  Item_class:

    CLASS

  Item_timestamp:

    DTSTAMP

  Item_created:

    CREATED

  Item_start_datetime:

    DTSTART

  Item_end_datetime:

    DTEND

  Item_transparency:

    TRANSP

  Item_attendee:

    ATTENDEE

  Item_valarm:

    VALARM

  feed_extra_kwargs(obj)

    Return an extra keyword arguments dictionary that is used when initializing the feed generator.

  feed_type

    alias of `ICal20Feed`

  item_extra_kwargs(item)

    Return an extra keyword arguments dictionary that is used with the add_item call of the feed generator.